diff --git a/gcc/input.c b/gcc/input.c
index a4fa0dd..1e30aa4 100644
--- a/gcc/input.c
+++ b/gcc/input.c
@@ -256,8 +256,8 @@ static void
 diagnostic_file_cache_init (void)
 {
   gcc_assert (global_dc);
-  if (global_dc->src_manager == NULL)
-    global_dc->src_manager = new source_manager ();
+  if (global_dc->m_src_manager == NULL)
+    global_dc->m_src_manager = new source_manager ();
 }
 
 /* Free the resources used by the set of cache used for files accessed
@@ -266,10 +266,10 @@ diagnostic_file_cache_init (void)
 void
 diagnostic_file_cache_fini (void)
 {
-  if (global_dc->src_manager)
+  if (global_dc->m_src_manager)
     {
-      delete global_dc->src_manager;
-      global_dc->src_manager = NULL;
+      delete global_dc->m_src_manager;
+      global_dc->m_src_manager = NULL;
     }
 }
 
@@ -328,10 +328,10 @@ diagnostics_file_cache_forcibly_evict_file (const char *file_path)
 {
   gcc_assert (file_path);
 
-  if (!global_dc->src_manager)
+  if (!global_dc->m_src_manager)
     return;
 
-  global_dc->src_manager->forcibly_evict_file (file_path);
+  global_dc->m_src_manager->forcibly_evict_file (file_path);
 }
 
 void
@@ -819,7 +819,7 @@ location_get_source_line (const char *file_path, int line)
 
   diagnostic_file_cache_init ();
 
-  fcache *c = global_dc->src_manager->lookup_or_add_file (file_path);
+  fcache *c = global_dc->m_src_manager->lookup_or_add_file (file_path);
   if (c == NULL)
     return char_span (NULL, 0);
 
@@ -839,7 +839,7 @@ location_missing_trailing_newline (const char *file_path)
 {
   diagnostic_file_cache_init ();
 
-  fcache *c = global_dc->src_manager->lookup_or_add_file (file_path);
+  fcache *c = global_dc->m_src_manager->lookup_or_add_file (file_path);
   if (c == NULL)
     return false;
 
diff --git a/gcc/jit/dummy-frontend.c b/gcc/jit/dummy-frontend.c
index 4c7f960..3d51ec5 100644
--- a/gcc/jit/dummy-frontend.c
+++ b/gcc/jit/dummy-frontend.c
@@ -136,8 +136,8 @@ jit_langhook_init (void)
     }
 
   gcc_assert (global_dc);
-  global_dc->begin_diagnostic = jit_begin_diagnostic;
-  global_dc->end_diagnostic = jit_end_diagnostic;
+  global_dc->m_begin_diagnostic = jit_begin_diagnostic;
+  global_dc->m_end_diagnostic = jit_end_diagnostic;
 
   build_common_tree_nodes (false);
 
diff --git a/gcc/jit/jit-playback.c b/gcc/jit/jit-playback.c
index 258ebe8..5b7e1f5 100644
--- a/gcc/jit/jit-playback.c
+++ b/gcc/jit/jit-playback.c
@@ -2897,7 +2897,7 @@ add_diagnostic (struct diagnostic_context *diag_context,
 {
   /* At this point the text has been formatted into the pretty-printer's
      output buffer.  */
-  pretty_printer *pp = diag_context->printer;
+  pretty_printer *pp = diag_context->m_printer;
   const char *text = pp_formatted_text (pp);
 
   /* Get location information (if any) from the diagnostic.
diff --git a/gcc/langhooks.c b/gcc/langhooks.c
index 3cd7901..b4f26a5 100644
--- a/gcc/langhooks.c
+++ b/gcc/langhooks.c
@@ -368,15 +368,15 @@ lhd_print_error_function (diagnostic_context *context, const char *file,
 {
   if (diagnostic_last_function_changed (context, diagnostic))
     {
-      const char *old_prefix = context->printer->prefix;
+      const char *old_prefix = context->m_printer->prefix;
       tree abstract_origin = diagnostic_abstract_origin (diagnostic);
       char *new_prefix = (file && abstract_origin == NULL)
 			 ? file_name_as_prefix (context, file) : NULL;
 
-      pp_set_prefix (context->printer, new_prefix);
+      pp_set_prefix (context->m_printer, new_prefix);
 
       if (current_function_decl == NULL)
-	pp_printf (context->printer, _("At top level:"));
+	pp_printf (context->m_printer, _("At top level:"));
       else
 	{
 	  tree fndecl, ao;
@@ -396,11 +396,11 @@ lhd_print_error_function (diagnostic_context *context, const char *file,
 
 	  if (TREE_CODE (TREE_TYPE (fndecl)) == METHOD_TYPE)
 	    pp_printf
-	      (context->printer, _("In member function %qs"),
+	      (context->m_printer, _("In member function %qs"),
 	       identifier_to_locale (lang_hooks.decl_printable_name (fndecl, 2)));
 	  else
 	    pp_printf
-	      (context->printer, _("In function %qs"),
+	      (context->m_printer, _("In function %qs"),
 	       identifier_to_locale (lang_hooks.decl_printable_name (fndecl, 2)));
 
 	  while (abstract_origin)
@@ -445,33 +445,33 @@ lhd_print_error_function (diagnostic_context *context, const char *file,
 	      if (fndecl)
 		{
 		  expanded_location s = expand_location (*locus);
-		  pp_comma (context->printer);
-		  pp_newline (context->printer);
+		  pp_comma (context->m_printer);
+		  pp_newline (context->m_printer);
 		  if (s.file != NULL)
 		    {
-		      if (context->show_column)
-			pp_printf (context->printer,
+		      if (context->m_show_column)
+			pp_printf (context->m_printer,
 				   _("    inlined from %qs at %r%s:%d:%d%R"),
 				   identifier_to_locale (lang_hooks.decl_printable_name (fndecl, 2)),
 				   "locus", s.file, s.line, s.column);
 		      else
-			pp_printf (context->printer,
+			pp_printf (context->m_printer,
 				   _("    inlined from %qs at %r%s:%d%R"),
 				   identifier_to_locale (lang_hooks.decl_printable_name (fndecl, 2)),
 				   "locus", s.file, s.line);
 
 		    }
 		  else
-		    pp_printf (context->printer, _("    inlined from %qs"),
+		    pp_printf (context->m_printer, _("    inlined from %qs"),
 			       identifier_to_locale (lang_hooks.decl_printable_name (fndecl, 2)));
 		}
 	    }
-	  pp_colon (context->printer);
+	  pp_colon (context->m_printer);
 	}
 
       diagnostic_set_last_function (context, diagnostic);
-      pp_newline_and_flush (context->printer);
-      context->printer->prefix = old_prefix;
+      pp_newline_and_flush (context->m_printer);
+      context->m_printer->prefix = old_prefix;
       free ((char*) new_prefix);
     }
 }
diff --git a/gcc/lto-wrapper.c b/gcc/lto-wrapper.c
index f7f6f6b..b80e96d 100644
--- a/gcc/lto-wrapper.c
+++ b/gcc/lto-wrapper.c
@@ -1660,7 +1660,7 @@ main (int argc, char *argv[])
 
   gcc_init_libintl ();
 
-  diagnostic_initialize (global_dc, 0);
+  global_dc->initialize (0);
 
   if (atexit (lto_wrapper_cleanup) != 0)
     fatal_error (input_location, "atexit failed");
diff --git a/gcc/opts-common.c b/gcc/opts-common.c
index c6b9418..1c53be3 100644
--- a/gcc/opts-common.c
+++ b/gcc/opts-common.c
@@ -1275,7 +1275,7 @@ set_option (struct gcc_options *opts, struct gcc_options *opts_set,
     return;
 
   if ((diagnostic_t) kind != DK_UNSPECIFIED && dc != NULL)
-    diagnostic_classify_diagnostic (dc, opt_index, (diagnostic_t) kind, loc);
+    dc->classify_diagnostic (opt_index, (diagnostic_t) kind, loc);
 
   if (opts_set != NULL)
     set_flag_var = option_flag_var (opt_index, opts_set);
@@ -1487,7 +1487,7 @@ control_warning_option (unsigned int opt_index, int kind, const char *arg,
   if (opt_index == OPT_SPECIAL_ignore)
     return;
   if (dc)
-    diagnostic_classify_diagnostic (dc, opt_index, (diagnostic_t) kind, loc);
+    dc->classify_diagnostic (opt_index, (diagnostic_t) kind, loc);
   if (imply)
     {
       const struct cl_option *option = &cl_options[opt_index];
diff --git a/gcc/opts-global.c b/gcc/opts-global.c
index f33c9da..25df8f9 100644
--- a/gcc/opts-global.c
+++ b/gcc/opts-global.c
@@ -250,7 +250,7 @@ init_options_once (void)
      it if desired (none do it so far).  However, the way the FEs
      construct their pretty-printers means that all previous settings
      are overriden.  */
-  diagnostic_color_init (global_dc);
+  global_dc->color_init ();
 }
 
 /* Decode command-line options to an array, like
diff --git a/gcc/opts.c b/gcc/opts.c
index f2795f9..b98f230 100644
--- a/gcc/opts.c
+++ b/gcc/opts.c
@@ -2025,7 +2025,7 @@ common_handle_option (struct gcc_options *opts,
       break;
 
     case OPT_Werror:
-      dc->warning_as_error_requested = value;
+      dc->m_warning_as_error_requested = value;
       break;
 
     case OPT_Werror_:
@@ -2042,7 +2042,7 @@ common_handle_option (struct gcc_options *opts,
       break;
 
     case OPT_Wfatal_errors:
-      dc->fatal_errors = value;
+      dc->m_fatal_errors = value;
       break;
 
     case OPT_Wframe_larger_than_:
@@ -2066,7 +2066,7 @@ common_handle_option (struct gcc_options *opts,
       break;
 
     case OPT_Wsystem_headers:
-      dc->dc_warn_system_headers = value;
+      dc->m_warn_system_headers = value;
       break;
 
     case OPT_aux_info:
@@ -2112,19 +2112,19 @@ common_handle_option (struct gcc_options *opts,
       break;
  
     case OPT_fdiagnostics_show_caret:
-      dc->show_caret = value;
+      dc->m_show_caret = value;
       break;
 
     case OPT_fdiagnostics_color_:
-      diagnostic_color_init (dc, value);
+      dc->color_init (value);
       break;
 
     case OPT_fdiagnostics_parseable_fixits:
-      dc->parseable_fixits_p = value;
+      dc->m_parseable_fixits_p = value;
       break;
 
     case OPT_fdiagnostics_show_option:
-      dc->show_option_requested = value;
+      dc->m_show_option_requested = value;
       break;
 
     case OPT_fdump_:
@@ -2161,7 +2161,7 @@ common_handle_option (struct gcc_options *opts,
       break;
 
     case OPT_fmessage_length_:
-      pp_set_line_maximum_length (dc->printer, value);
+      pp_set_line_maximum_length (dc->m_printer, value);
       diagnostic_set_caret_max_width (dc, value);
       break;
 
@@ -2307,7 +2307,7 @@ common_handle_option (struct gcc_options *opts,
 	 -ftree-slp-vectorize.  Nothing more to do here.  */
       break;
     case OPT_fshow_column:
-      dc->show_column = value;
+      dc->m_show_column = value;
       break;
 
     case OPT_frandom_seed:
@@ -2431,7 +2431,7 @@ common_handle_option (struct gcc_options *opts,
       break;
 
     case OPT_pedantic_errors:
-      dc->pedantic_errors = 1;
+      dc->m_pedantic_errors = 1;
       control_warning_option (OPT_Wpedantic, DK_ERROR, NULL, value,
 			      loc, lang_mask,
 			      handlers, opts, opts_set,
@@ -2443,11 +2443,11 @@ common_handle_option (struct gcc_options *opts,
       break;
 
     case OPT_w:
-      dc->dc_inhibit_warnings = true;
+      dc->m_inhibit_warnings = true;
       break;
 
     case OPT_fmax_errors_:
-      dc->max_errors = value;
+      dc->m_max_errors = value;
       break;
 
     case OPT_fuse_ld_bfd:
@@ -2811,7 +2811,7 @@ option_name (diagnostic_context *context, int option_index,
   /* A warning without option classified as an error.  */
   else if ((orig_diag_kind == DK_WARNING || orig_diag_kind == DK_PEDWARN
 	    || diag_kind == DK_WARNING)
-	   && context->warning_as_error_requested)
+	   && context->m_warning_as_error_requested)
     return xstrdup (cl_options[OPT_Werror].opt_text);
   else
     return NULL;
diff --git a/gcc/rtl-error.c b/gcc/rtl-error.c
index fdc474d..14d978c 100644
--- a/gcc/rtl-error.c
+++ b/gcc/rtl-error.c
@@ -71,7 +71,7 @@ diagnostic_for_asm (const rtx_insn *insn, const char *msg, va_list *args_ptr,
 
   diagnostic_set_info (&diagnostic, msg, args_ptr,
 		       &richloc, kind);
-  diagnostic_report_diagnostic (global_dc, &diagnostic);
+  global_dc->report_diagnostic (&diagnostic);
 }
 
 void
diff --git a/gcc/selftest-diagnostic.c b/gcc/selftest-diagnostic.c
index 837488b..a3c7bef 100644
--- a/gcc/selftest-diagnostic.c
+++ b/gcc/selftest-diagnostic.c
@@ -35,15 +35,15 @@ namespace selftest {
 
 test_diagnostic_context::test_diagnostic_context ()
 {
-  diagnostic_initialize (this, 0);
-  show_caret = true;
-  show_column = true;
-  start_span = start_span_cb;
+  initialize (0);
+  m_show_caret = true;
+  m_show_column = true;
+  m_start_span = start_span_cb;
 }
 
 test_diagnostic_context::~test_diagnostic_context ()
 {
-  diagnostic_finish (this);
+  finish ();
 }
 
 /* Implementation of diagnostic_start_span_fn, hiding the
diff --git a/gcc/substring-locations.c b/gcc/substring-locations.c
index cf3ec4f..a8e7f13 100644
--- a/gcc/substring-locations.c
+++ b/gcc/substring-locations.c
@@ -145,7 +145,7 @@ format_warning_va (const substring_loc &fmt_loc,
   diagnostic_info diagnostic;
   diagnostic_set_info (&diagnostic, gmsgid, ap, &richloc, DK_WARNING);
   diagnostic.option_index = opt;
-  bool warned = diagnostic_report_diagnostic (global_dc, &diagnostic);
+  bool warned = global_dc->report_diagnostic (&diagnostic);
 
   if (!err && fmt_substring_loc && !substring_within_range)
     /* Case 2.  */
diff --git a/gcc/toplev.c b/gcc/toplev.c
index 35d7968..00fa1a8 100644
--- a/gcc/toplev.c
+++ b/gcc/toplev.c
@@ -233,7 +233,7 @@ announce_function (tree decl)
 	fprintf (stderr, " %s",
 		 identifier_to_locale (lang_hooks.decl_printable_name (decl, 2)));
       fflush (stderr);
-      pp_needs_newline (global_dc->printer) = true;
+      pp_needs_newline (global_dc->m_printer) = true;
       diagnostic_set_last_function (global_dc, (diagnostic_info *) NULL);
     }
 }
@@ -1073,7 +1073,7 @@ internal_error_reentered (diagnostic_context *, const char *, va_list *)
 static void
 internal_error_function (diagnostic_context *, const char *, va_list *)
 {
-  global_dc->internal_error = internal_error_reentered;
+  global_dc->m_internal_error = internal_error_reentered;
   warn_if_plugins ();
   emergency_dump_function ();
 }
@@ -1105,21 +1105,21 @@ general_init (const char *argv0, bool init_signals)
 
   /* Initialize the diagnostics reporting machinery, so option parsing
      can give warnings and errors.  */
-  diagnostic_initialize (global_dc, N_OPTS);
+  global_dc->initialize (N_OPTS);
   /* Set a default printer.  Language specific initializations will
      override it later.  */
   tree_diagnostics_defaults (global_dc);
 
-  global_dc->show_caret
+  global_dc->m_show_caret
     = global_options_init.x_flag_diagnostics_show_caret;
-  global_dc->show_option_requested
+  global_dc->m_show_option_requested
     = global_options_init.x_flag_diagnostics_show_option;
-  global_dc->show_column
+  global_dc->m_show_column
     = global_options_init.x_flag_show_column;
-  global_dc->internal_error = internal_error_function;
-  global_dc->option_enabled = option_enabled;
-  global_dc->option_state = &global_options;
-  global_dc->option_name = option_name;
+  global_dc->m_internal_error = internal_error_function;
+  global_dc->m_option_enabled = option_enabled;
+  global_dc->m_option_state = &global_options;
+  global_dc->m_option_name = option_name;
 
   if (init_signals)
     {
@@ -1248,11 +1248,11 @@ process_options (void)
   input_location = saved_location;
 
   if (flag_diagnostics_generate_patch)
-      global_dc->edit_context_ptr = new edit_context ();
+      global_dc->m_edit_context_ptr = new edit_context ();
 
   /* Avoid any informative notes in the second run of -fcompare-debug.  */
   if (flag_compare_debug) 
-    diagnostic_inhibit_notes (global_dc);
+    global_dc->inhibit_notes ();
 
   if (flag_section_anchors && !target_supports_section_anchors_p ())
     {
@@ -1698,9 +1698,9 @@ process_options (void)
      have not been set.  */
   if (!global_options_set.x_warnings_are_errors
       && warn_coverage_mismatch
-      && (global_dc->classify_diagnostic[OPT_Wcoverage_mismatch] ==
+      && (global_dc->m_classify_diagnostic[OPT_Wcoverage_mismatch] ==
           DK_UNSPECIFIED))
-    diagnostic_classify_diagnostic (global_dc, OPT_Wcoverage_mismatch,
+    global_dc->classify_diagnostic (OPT_Wcoverage_mismatch,
                                     DK_ERROR, UNKNOWN_LOCATION);
 
   /* Save the current optimization options.  */
@@ -2228,15 +2228,15 @@ toplev::main (int argc, char **argv)
 
   if (flag_diagnostics_generate_patch)
     {
-      gcc_assert (global_dc->edit_context_ptr);
+      gcc_assert (global_dc->m_edit_context_ptr);
 
       pretty_printer pp;
-      pp_show_color (&pp) = pp_show_color (global_dc->printer);
-      global_dc->edit_context_ptr->print_diff (&pp, true);
+      pp_show_color (&pp) = pp_show_color (global_dc->m_printer);
+      global_dc->m_edit_context_ptr->print_diff (&pp, true);
       pp_flush (&pp);
     }
 
-  diagnostic_finish (global_dc);
+  global_dc->finish ();
 
   finalize_plugins ();
 
diff --git a/gcc/tree-diagnostic.c b/gcc/tree-diagnostic.c
index 9814d02..9080236 100644
--- a/gcc/tree-diagnostic.c
+++ b/gcc/tree-diagnostic.c
@@ -36,7 +36,7 @@ void
 diagnostic_report_current_function (diagnostic_context *context,
 				    diagnostic_info *diagnostic)
 {
-  diagnostic_report_current_module (context, diagnostic_location (diagnostic));
+  context->report_current_module (diagnostic_location (diagnostic));
   lang_hooks.print_error_function (context, LOCATION_FILE (input_location),
 				   diagnostic);
 }
@@ -46,8 +46,8 @@ default_tree_diagnostic_starter (diagnostic_context *context,
 				 diagnostic_info *diagnostic)
 {
   diagnostic_report_current_function (context, diagnostic);
-  pp_set_prefix (context->printer, diagnostic_build_prefix (context,
-							    diagnostic));
+  pp_set_prefix (context->m_printer, diagnostic_build_prefix (context,
+							      diagnostic));
 }
 
 /* This is a pair made of a location and the line map it originated
-- 
1.8.5.3

